import {ForType} from '../core/Dispatcher.js'
import {number_type, typeImps} from './type.js'
import {arithmeticImps} from './arithmetic.js'

export const numbers_bundle =
   Object.assign({number_type}, typeImps(), arithmeticImps())

declare module "../core/Dispatcher" {
   interface ImplementationTypes<T> extends
   ForType<'numbers', ReturnType<typeof typeImps<T>>> {}
   interface ImplementationTypes<T> extends
   ForType<'numbers', ReturnType<typeof arithmeticImps<T>>> {}
}
