export const number_type = {
   before: ['Complex'],
   test: (n: unknown): n is number => typeof n === 'number',
   from: {string: s => +s}
}

export const typeImps = <T>() => ({
   zero: (a: number) => 0,
   one: (a: number) => 1,
   nan: (a: number) => NaN,
   re: (a: number) => a
})
